POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "1b80a6af-fb55-4f46-a189-f9fb9ac67110",
"batch_id": "2a03fca8-91ad-4640-8b82-a08c5c116757",
"medistream_id": "d5165aa1-a405-4563-9f59-0cf49054f326",
"witness_id": "41098517-50a3-4799-a054-deb64dd1975d",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-03-11T06:58:51.6212496+00:00",
"stop_time": "2026-03-11T06:58:51.6212496+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>2a03fca8-91ad-4640-8b82-a08c5c116757</batch_id> <compartment>1</compartment> <id>1b80a6af-fb55-4f46-a189-f9fb9ac67110</id> <medistream_id>d5165aa1-a405-4563-9f59-0cf49054f326</medistream_id> <start_time>2026-03-11T06:58:51.6212496+00:00</start_time> <stop_time>2026-03-11T06:58:51.6212496+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>41098517-50a3-4799-a054-deb64dd1975d</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"07ee898b-02ac-43ca-b0fd-360f06634639"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">07ee898b-02ac-43ca-b0fd-360f06634639</guid>